:root {
  --body-bg-color: #f5f7f9;
  --content-bg-color: #fff;
  --card-bg-color: #f5f5f5;
  --text-color: #555;
  --blockquote-color: #666;
  --link-color: #555;
  --link-hover-color: #222;
  --brand-color: #fff;
  --brand-hover-color: #fff;
  --table-row-odd-bg-color: #f9f9f9;
  --table-row-hover-bg-color: #f5f5f5;
  --menu-item-bg-color: #f5f5f5;
  --btn-default-bg: #fff;
  --btn-default-color: #555;
  --btn-default-border-color: #555;
  --btn-default-hover-bg: #222;
  --btn-default-hover-color: #fff;
  --btn-default-hover-border-color: #222;
}
@media (prefers-color-scheme: dark) {
  :root {
    --body-bg-color: #282828;
    --content-bg-color: #333;
    --card-bg-color: #555;
    --text-color: #ccc;
    --blockquote-color: #bbb;
    --link-color: #ccc;
    --link-hover-color: #eee;
    --brand-color: #ddd;
    --brand-hover-color: #ddd;
    --table-row-odd-bg-color: #282828;
    --table-row-hover-bg-color: #363636;
    --menu-item-bg-color: #555;
    --btn-default-bg: #222;
    --btn-default-color: #ccc;
    --btn-default-border-color: #555;
    --btn-default-hover-bg: #666;
    --btn-default-hover-color: #ccc;
    --btn-default-hover-border-color: #666;
  }
  img {
    opacity: 0.75;
  }
  img:hover {
    opacity: 0.9;
  }
}
html {
  line-height: 1.15; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
}
body {
  margin: 0;
}
main {
  display: block;
}
h1 {
  font-size: 2em;
  margin: 0.67em 0;
}
hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
}
pre {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}
a {
  background: transparent;
}
abbr[title] {
  border-bottom: none; /* 1 */
  text-decoration: underline; /* 2 */
  text-decoration: underline dotted; /* 2 */
}
b,
strong {
  font-weight: bolder;
}
code,
kbd,
samp {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}
small {
  font-size: 80%;
}
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
sub {
  bottom: -0.25em;
}
sup {
  top: -0.5em;
}
img {
  border-style: none;
}
button,
input,
optgroup,
select,
textarea {
  font-family: inherit; /* 1 */
  font-size: 100%; /* 1 */
  line-height: 1.15; /* 1 */
  margin: 0; /* 2 */
}
button,
input {
/* 1 */
  overflow: visible;
}
button,
select {
/* 1 */
  text-transform: none;
}
button,
[type='button'],
[type='reset'],
[type='submit'] {
  -webkit-appearance: button;
}
button::-moz-focus-inner,
[type='button']::-moz-focus-inner,
[type='reset']::-moz-focus-inner,
[type='submit']::-moz-focus-inner {
  border-style: none;
  padding: 0;
}
button:-moz-focusring,
[type='button']:-moz-focusring,
[type='reset']:-moz-focusring,
[type='submit']:-moz-focusring {
  outline: 1px dotted ButtonText;
}
fieldset {
  padding: 0.35em 0.75em 0.625em;
}
legend {
  box-sizing: border-box; /* 1 */
  color: inherit; /* 2 */
  display: table; /* 1 */
  max-width: 100%; /* 1 */
  padding: 0; /* 3 */
  white-space: normal; /* 1 */
}
progress {
  vertical-align: baseline;
}
textarea {
  overflow: auto;
}
[type='checkbox'],
[type='radio'] {
  box-sizing: border-box; /* 1 */
  padding: 0; /* 2 */
}
[type='number']::-webkit-inner-spin-button,
[type='number']::-webkit-outer-spin-button {
  height: auto;
}
[type='search'] {
  outline-offset: -2px; /* 2 */
  -webkit-appearance: textfield; /* 1 */
}
[type='search']::-webkit-search-decoration {
  -webkit-appearance: none;
}
::-webkit-file-upload-button {
  font: inherit; /* 2 */
  -webkit-appearance: button; /* 1 */
}
details {
  display: block;
}
summary {
  display: list-item;
}
template {
  display: none;
}
[hidden] {
  display: none;
}
::selection {
  background: #262a30;
  color: #eee;
}
html,
body {
  height: 100%;
}
body {
  background: var(--body-bg-color);
  color: var(--text-color);
  font-family: 'Lato', "PingFang SC", "Microsoft YaHei", sans-serif;
  font-size: 1em;
  line-height: 2;
}
@media (max-width: 991px) {
  body {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Lato', "PingFang SC", "Microsoft YaHei", sans-serif;
  font-weight: bold;
  line-height: 1.5;
  margin: 20px 0 15px;
}
h1 {
  font-size: 1.5em;
}
h2 {
  font-size: 1.375em;
}
h3 {
  font-size: 1.25em;
}
h4 {
  font-size: 1.125em;
}
h5 {
  font-size: 1em;
}
h6 {
  font-size: 0.875em;
}
p {
  margin: 0 0 20px 0;
}
a,
span.exturl {
  border-bottom: 1px solid #999;
  color: var(--link-color);
  outline: 0;
  text-decoration: none;
  overflow-wrap: break-word;
  word-wrap: break-word;
  cursor: pointer;
}
a:hover,
span.exturl:hover {
  border-bottom-color: var(--link-hover-color);
  color: var(--link-hover-color);
}
iframe,
img,
video {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}
hr {
  background-image: repeating-linear-gradient(-45deg, #ddd, #ddd 4px, transparent 4px, transparent 8px);
  border: 0;
  height: 3px;
  margin: 40px 0;
}
blockquote {
  border-left: 4px solid #ddd;
  color: var(--blockquote-color);
  margin: 0;
  padding: 0 15px;
}
blockquote cite::before {
  content: '-';
  padding: 0 5px;
}
dt {
  font-weight: bold;
}
dd {
  margin: 0;
  padding: 0;
}
kbd {
  background-color: #f5f5f5;
  background-image: linear-gradient(#eee, #fff, #eee);
  border: 1px solid #ccc;
  border-radius: 0.2em;
  box-shadow: 0.1em 0.1em 0.2em rgba(0,0,0,0.1);
  color: #555;
  font-family: inherit;
  padding: 0.1em 0.3em;
  white-space: nowrap;
}
.table-container {
  overflow: auto;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
  font-size: 0.875em;
  margin: 0 0 20px 0;
  width: 100%;
}
tbody tr:nth-of-type(odd) {
  background: var(--table-row-odd-bg-color);
}
tbody tr:hover {
  background: var(--table-row-hover-bg-color);
}
caption,
th,
td {
  font-weight: normal;
  padding: 8px;
  vertical-align: middle;
}
th,
td {
  border: 1px solid #ddd;
  border-bottom: 3px solid #ddd;
}
th {
  font-weight: 700;
  padding-bottom: 10px;
}
td {
  border-bottom-width: 1px;
}
.btn {
  background: var(--btn-default-bg);
  border: 2px solid var(--btn-default-border-color);
  border-radius: 2px;
  color: var(--btn-default-color);
  display: inline-block;
  font-size: 0.875em;
  line-height: 2;
  padding: 0 20px;
  text-decoration: none;
  transition-property: background-color;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.btn:hover {
  background: var(--btn-default-hover-bg);
  border-color: var(--btn-default-hover-border-color);
  color: var(--btn-default-hover-color);
}
.btn + .btn {
  margin: 0 0 8px 8px;
}
.btn .fa-fw {
  text-align: left;
  width: 1.285714285714286em;
}
.toggle {
  line-height: 0;
}
.toggle .toggle-line {
  background: #fff;
  display: inline-block;
  height: 2px;
  left: 0;
  position: relative;
  top: 0;
  transition: all 0.4s;
  vertical-align: top;
  width: 100%;
}
.toggle .toggle-line:not(:first-child) {
  margin-top: 3px;
}
.toggle.toggle-arrow .toggle-line-first {
  left: 50%;
  top: 2px;
  transform: rotate(45deg);
  width: 50%;
}
.toggle.toggle-arrow .toggle-line-middle {
  left: 2px;
  width: 90%;
}
.toggle.toggle-arrow .toggle-line-last {
  left: 50%;
  top: -2px;
  transform: rotate(-45deg);
  width: 50%;
}
.toggle.toggle-close .toggle-line-first {
  transform: rotate(-45deg);
  top: 5px;
}
.toggle.toggle-close .toggle-line-middle {
  opacity: 0;
}
.toggle.toggle-close .toggle-line-last {
  transform: rotate(45deg);
  top: -5px;
}
.highlight,
pre {
  background: #1d1f21;
  color: #c5c8c6;
  line-height: 1.6;
  margin: 0 auto 20px;
}
pre,
code {
  font-family: consolas, Menlo, monospace, "PingFang SC", "Microsoft YaHei";
}
code {
  background: #eee;
  border-radius: 3px;
  color: #555;
  padding: 2px 4px;
  overflow-wrap: break-word;
  word-wrap: break-word;
}
.highlight *::selection {
  background: #373b41;
}
.highlight pre {
  border: 0;
  margin: 0;
  padding: 10px 0;
}
.highlight table {
  border: 0;
  margin: 0;
  width: auto;
}
.highlight td {
  border: 0;
  padding: 0;
}
.highlight figcaption {
  background: #000;
  color: #c5c8c6;
  display: flex;
  font-size: 0.875em;
  justify-content: space-between;
  line-height: 1.2;
  padding: 0.5em;
}
.highlight figcaption a {
  color: #c5c8c6;
}
.highlight figcaption a:hover {
  border-bottom-color: #c5c8c6;
}
.highlight .gutter {
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
.highlight .gutter pre {
  background: #000;
  color: #888f96;
  padding-left: 10px;
  padding-right: 10px;
  text-align: right;
}
.highlight .code pre {
  background: #1d1f21;
  padding-left: 10px;
  width: 100%;
}
.gist table {
  width: auto;
}
.gist table td {
  border: 0;
}
pre {
  overflow: auto;
  padding: 10px;
}
pre code {
  background: none;
  color: #c5c8c6;
  font-size: 0.875em;
  padding: 0;
  text-shadow: none;
}
pre .deletion {
  background: #800000;
}
pre .addition {
  background: #008000;
}
pre .meta {
  color: #f0c674;
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
pre .comment {
  color: #969896;
}
pre .variable,
pre .attribute,
pre .tag,
pre .name,
pre .regexp,
pre .ruby .constant,
pre .xml .tag .title,
pre .xml .pi,
pre .xml .doctype,
pre .html .doctype,
pre .css .id,
pre .css .class,
pre .css .pseudo {
  color: #c66;
}
pre .number,
pre .preprocessor,
pre .built_in,
pre .builtin-name,
pre .literal,
pre .params,
pre .constant,
pre .command {
  color: #de935f;
}
pre .ruby .class .title,
pre .css .rules .attribute,
pre .string,
pre .symbol,
pre .value,
pre .inheritance,
pre .header,
pre .ruby .symbol,
pre .xml .cdata,
pre .special,
pre .formula {
  color: #b5bd68;
}
pre .title,
pre .css .hexcolor {
  color: #8abeb7;
}
pre .function,
pre .python .decorator,
pre .python .title,
pre .ruby .function .title,
pre .ruby .title .keyword,
pre .perl .sub,
pre .javascript .title,
pre .coffeescript .title {
  color: #81a2be;
}
pre .keyword,
pre .javascript .function {
  color: #b294bb;
}
.blockquote-center {
  border-left: none;
  margin: 40px 0;
  padding: 0;
  position: relative;
  text-align: center;
}
.blockquote-center .fa {
  display: block;
  opacity: 0.6;
  position: absolute;
  width: 100%;
}
.blockquote-center .fa-quote-left {
  border-top: 1px solid #ccc;
  text-align: left;
  top: -20px;
}
.blockquote-center .fa-quote-right {
  border-bottom: 1px solid #ccc;
  text-align: right;
  bottom: -20px;
}
.blockquote-center p,
.blockquote-center div {
  text-align: center;
}
.post-body .group-picture img {
  margin: 0 auto;
  padding: 0 3px;
}
.group-picture-row {
  margin-bottom: 6px;
  overflow: hidden;
}
.group-picture-column {
  float: left;
  margin-bottom: 10px;
}
.post-body .label {
  color: #555;
  display: inline;
  padding: 0 2px;
}
.post-body .label.default {
  background: #f0f0f0;
}
.post-body .label.primary {
  background: #efe6f7;
}
.post-body .label.info {
  background: #e5f2f8;
}
.post-body .label.success {
  background: #e7f4e9;
}
.post-body .label.warning {
  background: #fcf6e1;
}
.post-body .label.danger {
  background: #fae8eb;
}
.post-body .tabs {
  margin-bottom: 20px;
}
.post-body .tabs,
.tabs-comment {
  display: block;
  padding-top: 10px;
  position: relative;
}
.post-body .tabs ul.nav-tabs,
.tabs-comment ul.nav-tabs {
  display: flex;
  flex-wrap: wrap;
  margin: 0;
  margin-bottom: -1px;
  padding: 0;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs,
  .tabs-comment ul.nav-tabs {
    display: block;
    margin-bottom: 5px;
  }
}
.post-body .tabs ul.nav-tabs li.tab,
.tabs-comment ul.nav-tabs li.tab {
  border-bottom: 1px solid #ddd;
  border-left: 1px solid transparent;
  border-right: 1px solid transparent;
  border-top: 3px solid transparent;
  flex-grow: 1;
  list-style-type: none;
  border-radius: 0 0 0 0;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs li.tab,
  .tabs-comment ul.nav-tabs li.tab {
    border-bottom: 1px solid transparent;
    border-left: 3px solid transparent;
    border-right: 1px solid transparent;
    border-top: 1px solid transparent;
  }
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs li.tab,
  .tabs-comment ul.nav-tabs li.tab {
    border-radius: 0;
  }
}
.post-body .tabs ul.nav-tabs li.tab a,
.tabs-comment ul.nav-tabs li.tab a {
  border-bottom: initial;
  display: block;
  line-height: 1.8;
  outline: 0;
  padding: 0.25em 0.75em;
  text-align: center;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-out;
}
.post-body .tabs ul.nav-tabs li.tab a i,
.tabs-comment ul.nav-tabs li.tab a i {
  width: 1.285714285714286em;
}
.post-body .tabs ul.nav-tabs li.tab.active,
.tabs-comment ul.nav-tabs li.tab.active {
  border-bottom: 1px solid transparent;
  border-left: 1px solid #ddd;
  border-right: 1px solid #ddd;
  border-top: 3px solid #fc6423;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs li.tab.active,
  .tabs-comment ul.nav-tabs li.tab.active {
    border-bottom: 1px solid #ddd;
    border-left: 3px solid #fc6423;
    border-right: 1px solid #ddd;
    border-top: 1px solid #ddd;
  }
}
.post-body .tabs ul.nav-tabs li.tab.active a,
.tabs-comment ul.nav-tabs li.tab.active a {
  color: var(--link-color);
  cursor: default;
}
.post-body .tabs .tab-content .tab-pane,
.tabs-comment .tab-content .tab-pane {
  border: 1px solid #ddd;
  border-top: 0;
  padding: 20px 20px 0 20px;
  border-radius: 0;
}
.post-body .tabs .tab-content .tab-pane:not(.active),
.tabs-comment .tab-content .tab-pane:not(.active) {
  display: none;
}
.post-body .tabs .tab-content .tab-pane.active,
.tabs-comment .tab-content .tab-pane.active {
  display: block;
}
.post-body .tabs .tab-content .tab-pane.active:nth-of-type(1),
.tabs-comment .tab-content .tab-pane.active:nth-of-type(1) {
  border-radius: 0 0 0 0;
}
@media (max-width: 413px) {
  .post-body .tabs .tab-content .tab-pane.active:nth-of-type(1),
  .tabs-comment .tab-content .tab-pane.active:nth-of-type(1) {
    border-radius: 0;
  }
}
.post-body .note {
  border-radius: 3px;
  margin-bottom: 20px;
  padding: 1em;
  position: relative;
  border: 1px solid #eee;
  border-left-width: 5px;
}
.post-body .note h2,
.post-body .note h3,
.post-body .note h4,
.post-body .note h5,
.post-body .note h6 {
  margin-top: 0;
  border-bottom: initial;
  margin-bottom: 0;
  padding-top: 0;
}
.post-body .note p:first-child,
.post-body .note ul:first-child,
.post-body .note ol:first-child,
.post-body .note table:first-child,
.post-body .note pre:first-child,
.post-body .note blockquote:first-child,
.post-body .note img:first-child {
  margin-top: 0;
}
.post-body .note p:last-child,
.post-body .note ul:last-child,
.post-body .note ol:last-child,
.post-body .note table:last-child,
.post-body .note pre:last-child,
.post-body .note blockquote:last-child,
.post-body .note img:last-child {
  margin-bottom: 0;
}
.post-body .note.default {
  border-left-color: #777;
}
.post-body .note.default h2,
.post-body .note.default h3,
.post-body .note.default h4,
.post-body .note.default h5,
.post-body .note.default h6 {
  color: #777;
}
.post-body .note.primary {
  border-left-color: #6f42c1;
}
.post-body .note.primary h2,
.post-body .note.primary h3,
.post-body .note.primary h4,
.post-body .note.primary h5,
.post-body .note.primary h6 {
  color: #6f42c1;
}
.post-body .note.info {
  border-left-color: #428bca;
}
.post-body .note.info h2,
.post-body .note.info h3,
.post-body .note.info h4,
.post-body .note.info h5,
.post-body .note.info h6 {
  color: #428bca;
}
.post-body .note.success {
  border-left-color: #5cb85c;
}
.post-body .note.success h2,
.post-body .note.success h3,
.post-body .note.success h4,
.post-body .note.success h5,
.post-body .note.success h6 {
  color: #5cb85c;
}
.post-body .note.warning {
  border-left-color: #f0ad4e;
}
.post-body .note.warning h2,
.post-body .note.warning h3,
.post-body .note.warning h4,
.post-body .note.warning h5,
.post-body .note.warning h6 {
  color: #f0ad4e;
}
.post-body .note.danger {
  border-left-color: #d9534f;
}
.post-body .note.danger h2,
.post-body .note.danger h3,
.post-body .note.danger h4,
.post-body .note.danger h5,
.post-body .note.danger h6 {
  color: #d9534f;
}
.pagination .prev,
.pagination .next,
.pagination .page-number,
.pagination .space {
  display: inline-block;
  margin: 0 10px;
  padding: 0 11px;
  position: relative;
  top: -1px;
}
@media (max-width: 767px) {
  .pagination .prev,
  .pagination .next,
  .pagination .page-number,
  .pagination .space {
    margin: 0 5px;
  }
}
.pagination {
  border-top: 1px solid #eee;
  margin: 120px 0 0;
  text-align: center;
}
.pagination .prev,
.pagination .next,
.pagination .page-number {
  border-bottom: 0;
  border-top: 1px solid #eee;
  transition-property: border-color;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.pagination .prev:hover,
.pagination .next:hover,
.pagination .page-number:hover {
  border-top-color: #222;
}
.pagination .space {
  margin: 0;
  padding: 0;
}
.pagination .prev {
  margin-left: 0;
}
.pagination .next {
  margin-right: 0;
}
.pagination .page-number.current {
  background: #ccc;
  border-top-color: #ccc;
  color: #fff;
}
@media (max-width: 767px) {
  .pagination {
    border-top: none;
  }
  .pagination .prev,
  .pagination .next,
  .pagination .page-number {
    border-bottom: 1px solid #eee;
    border-top: 0;
    margin-bottom: 10px;
    padding: 0 10px;
  }
  .pagination .prev:hover,
  .pagination .next:hover,
  .pagination .page-number:hover {
    border-bottom-color: #222;
  }
}
.comments {
  margin-top: 60px;
  overflow: hidden;
}
.comment-button-group {
  display: flex;
  flex-wrap: wrap-reverse;
  justify-content: center;
  margin: 1em 0;
}
.comment-button-group .comment-button {
  margin: 0.1em 0.2em;
}
.comment-button-group .comment-button.active {
  background: var(--btn-default-hover-bg);
  border-color: var(--btn-default-hover-border-color);
  color: var(--btn-default-hover-color);
}
.comment-position {
  display: none;
}
.comment-position.active {
  display: block;
}
.tabs-comment {
  background: var(--content-bg-color);
  margin-top: 4em;
  padding-top: 0;
}
.tabs-comment .comments {
  border: 0;
  box-shadow: none;
  margin-top: 0;
  padding-top: 0;
}
.container {
  min-height: 100%;
  position: relative;
}
.main-inner {
  margin: 0 auto;
  width: calc(100% - 20px);
}
@media (min-width: 1200px) {
  .main-inner {
    width: 1160px;
  }
}
@media (min-width: 1600px) {
  .main-inner {
    width: 73%;
  }
}
@media (max-width: 767px) {
  .content-wrap {
    padding: 0 20px;
  }
}
.header {
  background: transparent;
}
.header-inner {
  margin: 0 auto;
  width: calc(100% - 20px);
}
@media (min-width: 1200px) {
  .header-inner {
    width: 1160px;
  }
}
@media (min-width: 1600px) {
  .header-inner {
    width: 73%;
  }
}
.site-brand-container {
  display: flex;
  flex-shrink: 0;
  padding: 0 10px;
}
.headband {
  background: #222;
  height: 3px;
}
.site-meta {
  flex-grow: 1;
  text-align: center;
}
@media (max-width: 767px) {
  .site-meta {
    text-align: center;
  }
}
.brand {
  border-bottom: none;
  color: var(--brand-color);
  display: inline-block;
  line-height: 1.375em;
  padding: 0 40px;
  position: relative;
}
.brand:hover {
  color: var(--brand-hover-color);
}
.site-title {
  font-family: 'Lato', "PingFang SC", "Microsoft YaHei", sans-serif;
  font-size: 1.375em;
  font-weight: normal;
  margin: 0;
}
.site-subtitle {
  color: #ddd;
  font-size: 0.8125em;
  margin: 10px 0;
}
.use-motion .brand {
  opacity: 0;
}
.use-motion .site-title,
.use-motion .site-subtitle,
.use-motion .custom-logo-image {
  opacity: 0;
  position: relative;
  top: -10px;
}
.site-nav-toggle,
.site-nav-right {
  display: none;
}
@media (max-width: 767px) {
  .site-nav-toggle,
  .site-nav-right {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}
.site-nav-toggle .toggle,
.site-nav-right .toggle {
  color: var(--text-color);
  padding: 10px;
  width: 22px;
}
.site-nav-toggle .toggle .toggle-line,
.site-nav-right .toggle .toggle-line {
  background: var(--text-color);
  border-radius: 1px;
}
.site-nav {
  display: block;
}
@media (max-width: 767px) {
  .site-nav {
    clear: both;
    display: none;
  }
}
.site-nav.site-nav-on {
  display: block;
}
.menu {
  margin-top: 20px;
  padding-left: 0;
  text-align: center;
}
.menu-item {
  display: inline-block;
  list-style: none;
  margin: 0 10px;
}
@media (max-width: 767px) {
  .menu-item {
    display: block;
    margin-top: 10px;
  }
  .menu-item.menu-item-search {
    display: none;
  }
}
.menu-item a,
.menu-item span.exturl {
  border-bottom: 0;
  display: block;
  font-size: 0.8125em;
  transition-property: border-color;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
@media (hover: none) {
  .menu-item a:hover,
  .menu-item span.exturl:hover {
    border-bottom-color: transparent !important;
  }
}
.menu-item .fa,
.menu-item .fab,
.menu-item .far,
.menu-item .fas {
  margin-right: 8px;
}
.menu-item .badge {
  display: inline-block;
  font-weight: bold;
  line-height: 1;
  margin-left: 0.35em;
  margin-top: 0.35em;
  text-align: center;
  white-space: nowrap;
}
@media (max-width: 767px) {
  .menu-item .badge {
    float: right;
    margin-left: 0;
  }
}
.menu-item-active a,
.menu .menu-item a:hover,
.menu .menu-item span.exturl:hover {
  background: var(--menu-item-bg-color);
}
.use-motion .menu-item {
  opacity: 0;
}
.sidebar {
  background: #222;
  bottom: 0;
  box-shadow: inset 0 2px 6px #000;
  position: fixed;
  top: 0;
}
@media (max-width: 991px) {
  .sidebar {
    display: none;
  }
}
.sidebar-inner {
  color: #999;
  padding: 18px 10px;
  text-align: center;
}
.cc-license {
  margin-top: 10px;
  text-align: center;
}
.cc-license .cc-opacity {
  border-bottom: none;
  opacity: 0.7;
}
.cc-license .cc-opacity:hover {
  opacity: 0.9;
}
.cc-license img {
  display: inline-block;
}
.site-author-image {
  border: 1px solid #eee;
  display: block;
  margin: 0 auto;
  max-width: 120px;
  padding: 2px;
  border-radius: 50%;
}
.site-author-name {
  color: var(--text-color);
  font-weight: 600;
  margin: 0;
  text-align: center;
}
.site-description {
  color: #999;
  font-size: 0.8125em;
  margin-top: 0;
  text-align: center;
}
.links-of-author {
  margin-top: 15px;
}
.links-of-author a,
.links-of-author span.exturl {
  border-bottom-color: #555;
  display: inline-block;
  font-size: 0.8125em;
  margin-bottom: 10px;
  margin-right: 10px;
  vertical-align: middle;
}
.links-of-author a::before,
.links-of-author span.exturl::before {
  background: #609a3c;
  border-radius: 50%;
  content: ' ';
  display: inline-block;
  height: 4px;
  margin-right: 3px;
  vertical-align: middle;
  width: 4px;
}
.sidebar-button {
  margin-top: 15px;
}
.sidebar-button a {
  border: 1px solid #fc6423;
  border-radius: 4px;
  color: #fc6423;
  display: inline-block;
  padding: 0 15px;
}
.sidebar-button a .fa,
.sidebar-button a .fab,
.sidebar-button a .far,
.sidebar-button a .fas {
  margin-right: 5px;
}
.sidebar-button a:hover {
  background: #fc6423;
  border: 1px solid #fc6423;
  color: #fff;
}
.sidebar-button a:hover .fa,
.sidebar-button a:hover .fab,
.sidebar-button a:hover .far,
.sidebar-button a:hover .fas {
  color: #fff;
}
.links-of-blogroll {
  font-size: 0.8125em;
  margin-top: 10px;
}
.links-of-blogroll-title {
  font-size: 0.875em;
  font-weight: 600;
  margin-top: 0;
}
.links-of-blogroll-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
#sidebar-dimmer {
  display: none;
}
@media (max-width: 767px) {
  #sidebar-dimmer {
    background: #000;
    display: block;
    height: 100%;
    left: 100%;
    opacity: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1100;
  }
  .sidebar-active + #sidebar-dimmer {
    opacity: 0.7;
    transform: translateX(-100%);
    transition: opacity 0.5s;
  }
}
.sidebar-nav {
  margin: 0;
  padding-bottom: 20px;
  padding-left: 0;
}
.sidebar-nav li {
  border-bottom: 1px solid transparent;
  color: var(--text-color);
  cursor: pointer;
  display: inline-block;
  font-size: 0.875em;
}
.sidebar-nav li.sidebar-nav-overview {
  margin-left: 10px;
}
.sidebar-nav li:hover {
  color: #fc6423;
}
.sidebar-nav .sidebar-nav-active {
  border-bottom-color: #fc6423;
  color: #fc6423;
}
.sidebar-nav .sidebar-nav-active:hover {
  color: #fc6423;
}
.sidebar-panel {
  display: none;
  overflow-x: hidden;
  overflow-y: auto;
}
.sidebar-panel-active {
  display: block;
}
.sidebar-toggle {
  background: #222;
  bottom: 45px;
  cursor: pointer;
  height: 14px;
  left: 30px;
  padding: 5px;
  position: fixed;
  width: 14px;
  z-index: 1300;
}
@media (max-width: 991px) {
  .sidebar-toggle {
    left: 20px;
    opacity: 0.8;
    display: none;
  }
}
.sidebar-toggle:hover .toggle-line {
  background: #fc6423;
}
.post-toc {
  font-size: 0.875em;
}
.post-toc ol {
  list-style: none;
  margin: 0;
  padding: 0 2px 5px 10px;
  text-align: left;
}
.post-toc ol > ol {
  padding-left: 0;
}
.post-toc ol a {
  transition-property: all;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.post-toc .nav-item {
  line-height: 1.8;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.post-toc .nav .nav-child {
  display: none;
}
.post-toc .nav .active > .nav-child {
  display: block;
}
.post-toc .nav .active-current > .nav-child {
  display: block;
}
.post-toc .nav .active-current > .nav-child > .nav-item {
  display: block;
}
.post-toc .nav .active > a {
  border-bottom-color: #fc6423;
  color: #fc6423;
}
.post-toc .nav .active-current > a {
  color: #fc6423;
}
.post-toc .nav .active-current > a:hover {
  color: #fc6423;
}
.site-state {
  display: flex;
  justify-content: center;
  line-height: 1.4;
  margin-top: 10px;
  overflow: hidden;
  text-align: center;
  white-space: nowrap;
}
.site-state-item {
  padding: 0 15px;
}
.site-state-item:not(:first-child) {
  border-left: 1px solid #eee;
}
.site-state-item a {
  border-bottom: none;
}
.site-state-item-count {
  display: block;
  font-size: 1em;
  font-weight: 600;
  text-align: center;
}
.site-state-item-name {
  color: #999;
  font-size: 0.8125em;
}
.footer {
  color: #999;
  font-size: 0.875em;
  padding: 20px 0;
}
.footer.footer-fixed {
  bottom: 0;
  left: 0;
  position: absolute;
  right: 0;
}
.footer-inner {
  box-sizing: border-box;
  margin: 0 auto;
  text-align: center;
  width: calc(100% - 20px);
}
@media (min-width: 1200px) {
  .footer-inner {
    width: 1160px;
  }
}
@media (min-width: 1600px) {
  .footer-inner {
    width: 73%;
  }
}
.languages {
  display: inline-block;
  font-size: 1.125em;
  position: relative;
}
.languages .lang-select-label span {
  margin: 0 0.5em;
}
.languages .lang-select {
  height: 100%;
  left: 0;
  opacity: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
.with-love {
  color: #ff0000;
  display: inline-block;
  margin: 0 5px;
}
.powered-by,
.theme-info {
  display: inline-block;
}
@-moz-keyframes iconAnimate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@-webkit-keyframes iconAnimate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@-o-keyframes iconAnimate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@keyframes iconAnimate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
.back-to-top {
  font-size: 12px;
  text-align: center;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.back-to-top {
  background: #222;
  bottom: -100px;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  left: 30px;
  opacity: 0.6;
  padding: 0 6px;
  position: fixed;
  transition-property: bottom;
  z-index: 1300;
  width: 24px;
}
.back-to-top span {
  display: none;
}
.back-to-top:hover {
  color: #fc6423;
}
.back-to-top.back-to-top-on {
  bottom: 30px;
}
@media (max-width: 991px) {
  .back-to-top {
    left: 20px;
    opacity: 0.8;
  }
}
.post-body {
  font-family: 'Lato', "PingFang SC", "Microsoft YaHei", sans-serif;
  overflow-wrap: break-word;
  word-wrap: break-word;
}
@media (min-width: 1200px) {
  .post-body {
    font-size: 1.125em;
  }
}
.post-body .exturl .fa {
  font-size: 0.875em;
  margin-left: 4px;
}
.post-body .image-caption,
.post-body .figure .caption {
  color: #999;
  font-size: 0.875em;
  font-weight: bold;
  line-height: 1;
  margin: -20px auto 15px;
  text-align: center;
}
.post-sticky-flag {
  display: inline-block;
  transform: rotate(30deg);
}
.post-button {
  margin-top: 40px;
  text-align: center;
}
.use-motion .post-block,
.use-motion .pagination,
.use-motion .comments {
  opacity: 0;
}
.use-motion .post-header {
  opacity: 0;
}
.use-motion .post-body {
  opacity: 0;
}
.use-motion .collection-header {
  opacity: 0;
}
.posts-collapse {
  margin-left: 35px;
  position: relative;
}
@media (max-width: 767px) {
  .posts-collapse {
    margin-left: 0px;
    margin-right: 0px;
  }
}
.posts-collapse .collection-title {
  font-size: 1.125em;
  position: relative;
}
.posts-collapse .collection-title::before {
  background: #999;
  border: 1px solid #fff;
  border-radius: 50%;
  content: ' ';
  height: 10px;
  left: 0;
  margin-left: -6px;
  margin-top: -4px;
  position: absolute;
  top: 50%;
  width: 10px;
}
.posts-collapse .collection-year {
  font-size: 1.5em;
  font-weight: bold;
  margin: 60px 0;
  position: relative;
}
.posts-collapse .collection-year::before {
  background: #bbb;
  border-radius: 50%;
  content: ' ';
  height: 8px;
  left: 0;
  margin-left: -4px;
  margin-top: -4px;
  position: absolute;
  top: 50%;
  width: 8px;
}
.posts-collapse .collection-header {
  display: block;
  margin: 0 0 0 20px;
}
.posts-collapse .collection-header small {
  color: #bbb;
  margin-left: 5px;
}
.posts-collapse .post-header {
  border-bottom: 1px dashed #ccc;
  margin: 30px 0;
  padding-left: 15px;
  position: relative;
  transition-property: border;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.posts-collapse .post-header::before {
  background: #bbb;
  border: 1px solid #fff;
  border-radius: 50%;
  content: ' ';
  height: 6px;
  left: 0;
  margin-left: -4px;
  position: absolute;
  top: 0.75em;
  transition-property: background;
  width: 6px;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.posts-collapse .post-header:hover {
  border-bottom-color: #666;
}
.posts-collapse .post-header:hover::before {
  background: #222;
}
.posts-collapse .post-meta {
  display: inline;
  font-size: 0.75em;
  margin-right: 10px;
}
.posts-collapse .post-title {
  display: inline;
}
.posts-collapse .post-title a,
.posts-collapse .post-title span.exturl {
  border-bottom: none;
  color: var(--link-color);
}
.posts-collapse .post-title .fa-external-link-alt {
  font-size: 0.875em;
  margin-left: 5px;
}
.posts-collapse::before {
  background: #f5f5f5;
  content: ' ';
  height: 100%;
  left: 0;
  margin-left: -2px;
  position: absolute;
  top: 1.25em;
  width: 4px;
}
.post-eof {
  background: #ccc;
  height: 1px;
  margin: 80px auto 60px;
  text-align: center;
  width: 8%;
}
.post-block:last-of-type .post-eof {
  display: none;
}
.content {
  padding-top: 40px;
}
@media (min-width: 992px) {
  .post-body {
    text-align: justify;
  }
}
@media (max-width: 991px) {
  .post-body {
    text-align: justify;
  }
}
.post-body h1,
.post-body h2,
.post-body h3,
.post-body h4,
.post-body h5,
.post-body h6 {
  padding-top: 10px;
}
.post-body h1 .header-anchor,
.post-body h2 .header-anchor,
.post-body h3 .header-anchor,
.post-body h4 .header-anchor,
.post-body h5 .header-anchor,
.post-body h6 .header-anchor {
  border-bottom-style: none;
  color: #ccc;
  float: right;
  margin-left: 10px;
  visibility: hidden;
}
.post-body h1 .header-anchor:hover,
.post-body h2 .header-anchor:hover,
.post-body h3 .header-anchor:hover,
.post-body h4 .header-anchor:hover,
.post-body h5 .header-anchor:hover,
.post-body h6 .header-anchor:hover {
  color: inherit;
}
.post-body h1:hover .header-anchor,
.post-body h2:hover .header-anchor,
.post-body h3:hover .header-anchor,
.post-body h4:hover .header-anchor,
.post-body h5:hover .header-anchor,
.post-body h6:hover .header-anchor {
  visibility: visible;
}
.post-body iframe,
.post-body img,
.post-body video {
  margin-bottom: 20px;
}
.post-body .video-container {
  height: 0;
  margin-bottom: 20px;
  overflow: hidden;
  padding-top: 75%;
  position: relative;
  width: 100%;
}
.post-body .video-container iframe,
.post-body .video-container object,
.post-body .video-container embed {
  height: 100%;
  left: 0;
  margin: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
.post-gallery {
  align-items: center;
  display: grid;
  grid-gap: 10px;
  grid-template-columns: 1fr 1fr 1fr;
  margin-bottom: 20px;
}
@media (max-width: 767px) {
  .post-gallery {
    grid-template-columns: 1fr 1fr;
  }
}
.post-gallery a {
  border: 0;
}
.post-gallery img {
  margin: 0;
}
.posts-expand .post-header {
  font-size: 1.125em;
}
.posts-expand .post-title {
  font-size: 1.5em;
  font-weight: normal;
  margin: initial;
  text-align: center;
  overflow-wrap: break-word;
  word-wrap: break-word;
}
.posts-expand .post-title-link {
  border-bottom: none;
  color: var(--link-color);
  display: inline-block;
  position: relative;
  vertical-align: top;
}
.posts-expand .post-title-link::before {
  background: var(--link-color);
  bottom: 0;
  content: '';
  height: 2px;
  left: 0;
  position: absolute;
  transform: scaleX(0);
  visibility: hidden;
  width: 100%;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.posts-expand .post-title-link:hover::before {
  transform: scaleX(1);
  visibility: visible;
}
.posts-expand .post-title-link .fa-external-link-alt {
  font-size: 0.875em;
  margin-left: 5px;
}
.posts-expand .post-meta {
  color: #999;
  font-family: 'Lato', "PingFang SC", "Microsoft YaHei", sans-serif;
  font-size: 0.75em;
  margin: 3px 0 60px 0;
  text-align: center;
}
.posts-expand .post-meta .post-description {
  font-size: 0.875em;
  margin-top: 2px;
}
.posts-expand .post-meta time {
  border-bottom: 1px dashed #999;
  cursor: pointer;
}
.post-meta .post-meta-item + .post-meta-item::before {
  content: '|';
  margin: 0 0.5em;
}
.post-meta-divider {
  margin: 0 0.5em;
}
.post-meta-item-icon {
  margin-right: 3px;
}
@media (max-width: 991px) {
  .post-meta-item-icon {
    display: inline-block;
  }
}
@media (max-width: 991px) {
  .post-meta-item-text {
    display: none;
  }
}
.post-nav {
  border-top: 1px solid #eee;
  display: flex;
  justify-content: space-between;
  margin-top: 15px;
  padding: 10px 5px 0;
}
.post-nav-item {
  flex: 1;
}
.post-nav-item a {
  border-bottom: none;
  display: block;
  font-size: 0.875em;
  line-height: 1.6;
  position: relative;
}
.post-nav-item a:active {
  top: 2px;
}
.post-nav-item .fa {
  font-size: 0.75em;
}
.post-nav-item:first-child {
  margin-right: 15px;
}
.post-nav-item:first-child .fa {
  margin-right: 5px;
}
.post-nav-item:last-child {
  margin-left: 15px;
  text-align: right;
}
.post-nav-item:last-child .fa {
  margin-left: 5px;
}
.rtl.post-body p,
.rtl.post-body a,
.rtl.post-body h1,
.rtl.post-body h2,
.rtl.post-body h3,
.rtl.post-body h4,
.rtl.post-body h5,
.rtl.post-body h6,
.rtl.post-body li,
.rtl.post-body ul,
.rtl.post-body ol {
  direction: rtl;
  font-family: UKIJ Ekran;
}
.rtl.post-title {
  font-family: UKIJ Ekran;
}
.post-tags {
  margin-top: 40px;
  text-align: center;
}
.post-tags a {
  display: inline-block;
  font-size: 0.8125em;
}
.post-tags a:not(:last-child) {
  margin-right: 10px;
}
.post-widgets {
  border-top: 1px solid #eee;
  margin-top: 15px;
  text-align: center;
}
.wp_rating {
  height: 20px;
  line-height: 20px;
  margin-top: 10px;
  padding-top: 6px;
  text-align: center;
}
.social-like {
  display: flex;
  font-size: 0.875em;
  justify-content: center;
  text-align: center;
}
.reward-container {
  margin: 20px auto;
  padding: 10px 0;
  text-align: center;
  width: 90%;
}
.reward-container button {
  background: transparent;
  border: 1px solid #fc6423;
  border-radius: 0;
  color: #fc6423;
  cursor: pointer;
  line-height: 2;
  outline: 0;
  padding: 0 15px;
  vertical-align: text-top;
}
.reward-container button:hover {
  background: #fc6423;
  border: 1px solid transparent;
  color: #fa9366;
}
#qr {
  padding-top: 20px;
}
#qr a {
  border: 0;
}
#qr img {
  display: inline-block;
  margin: 0.8em 2em 0 2em;
  max-width: 100%;
  width: 180px;
}
#qr p {
  text-align: center;
}
.category-all-page .category-all-title {
  text-align: center;
}
.category-all-page .category-all {
  margin-top: 20px;
}
.category-all-page .category-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.category-all-page .category-list-item {
  margin: 5px 10px;
}
.category-all-page .category-list-count {
  color: #bbb;
}
.category-all-page .category-list-count::before {
  content: ' (';
  display: inline;
}
.category-all-page .category-list-count::after {
  content: ') ';
  display: inline;
}
.category-all-page .category-list-child {
  padding-left: 10px;
}
.event-list {
  padding: 0;
}
.event-list hr {
  background: #222;
  margin: 20px 0 45px 0;
}
.event-list hr::after {
  background: #222;
  color: #fff;
  content: 'NOW';
  display: inline-block;
  font-weight: bold;
  padding: 0 5px;
  text-align: right;
}
.event-list .event {
  background: #222;
  margin: 20px 0;
  min-height: 40px;
  padding: 15px 0 15px 10px;
}
.event-list .event .event-summary {
  color: #fff;
  margin: 0;
  padding-bottom: 3px;
}
.event-list .event .event-summary::before {
  animation: dot-flash 1s alternate infinite ease-in-out;
  color: #fff;
  content: '\f111';
  display: inline-block;
  font-size: 10px;
  margin-right: 25px;
  vertical-align: middle;
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
}
.event-list .event .event-relative-time {
  color: #bbb;
  display: inline-block;
  font-size: 12px;
  font-weight: normal;
  padding-left: 12px;
}
.event-list .event .event-details {
  color: #fff;
  display: block;
  line-height: 18px;
  margin-left: 56px;
  padding-bottom: 6px;
  padding-top: 3px;
  text-indent: -24px;
}
.event-list .event .event-details::before {
  color: #fff;
  display: inline-block;
  margin-right: 9px;
  text-align: center;
  text-indent: 0;
  width: 14px;
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
}
.event-list .event .event-details.event-location::before {
  content: '\f041';
}
.event-list .event .event-details.event-duration::before {
  content: '\f017';
}
.event-list .event-past {
  background: #f5f5f5;
}
.event-list .event-past .event-summary,
.event-list .event-past .event-details {
  color: #bbb;
  opacity: 0.9;
}
.event-list .event-past .event-summary::before,
.event-list .event-past .event-details::before {
  animation: none;
  color: #bbb;
}
@-moz-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@-webkit-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@-o-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
ul.breadcrumb {
  font-size: 0.75em;
  list-style: none;
  margin: 1em 0;
  padding: 0 2em;
  text-align: center;
}
ul.breadcrumb li {
  display: inline;
}
ul.breadcrumb li + li::before {
  content: '/\00a0';
  font-weight: normal;
  padding: 0.5em;
}
ul.breadcrumb li + li:last-child {
  font-weight: bold;
}
.tag-cloud {
  text-align: center;
}
.tag-cloud a {
  display: inline-block;
  margin: 10px;
}
.tag-cloud a:hover {
  color: var(--link-hover-color) !important;
}
mjx-container[jax="CHTML"][display="true"],
.has-jax {
  overflow: auto hidden;
}
mjx-container + br {
  display: none;
}
.header {
  margin: 0 auto;
  position: relative;
  width: calc(100% - 20px);
}
@media (min-width: 1200px) {
  .header {
    width: 1160px;
  }
}
@media (min-width: 1600px) {
  .header {
    width: 73%;
  }
}
@media (max-width: 991px) {
  .header {
    width: auto;
  }
}
.header-inner {
  background: var(--content-bg-color);
  border-radius: initial;
  box-shadow: initial;
  overflow: hidden;
  padding: 0;
  position: absolute;
  top: 0;
  width: 240px;
}
@media (min-width: 1200px) {
  .header-inner {
    width: 240px;
  }
}
@media (max-width: 991px) {
  .header-inner {
    border-radius: initial;
    position: relative;
    width: auto;
  }
}
.main-inner {
  align-items: flex-start;
  display: flex;
  justify-content: space-between;
  flex-direction: row-reverse;
}
@media (max-width: 991px) {
  .main-inner {
    width: auto;
  }
}
.content-wrap {
  background: var(--content-bg-color);
  border-radius: initial;
  box-shadow: initial;
  box-sizing: border-box;
  padding: 40px;
  width: calc(100% - 252px);
}
@media (max-width: 991px) {
  .content-wrap {
    border-radius: initial;
    padding: 20px;
    width: 100%;
  }
}
.footer-inner {
  padding-left: 260px;
}
.back-to-top {
  left: auto;
  right: 30px;
}
@media (max-width: 991px) {
  .back-to-top {
    right: 20px;
  }
}
@media (max-width: 991px) {
  .footer-inner {
    padding-left: 0;
    padding-right: 0;
    width: auto;
  }
}
.site-brand-container {
  background: #222;
}
@media (max-width: 991px) {
  .site-brand-container {
    box-shadow: 0 0 16px rgba(0,0,0,0.5);
  }
}
.site-meta {
  padding: 20px 0;
}
.brand {
  padding: 0;
}
.site-subtitle {
  margin: 10px 10px 0;
}
.custom-logo-image {
  margin-top: 20px;
}
@media (max-width: 991px) {
  .custom-logo-image {
    display: none;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .site-nav-toggle,
  .site-nav-right {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}
.site-nav-toggle .toggle,
.site-nav-right .toggle {
  color: #fff;
}
.site-nav-toggle .toggle .toggle-line,
.site-nav-right .toggle .toggle-line {
  background: #fff;
}
@media (min-width: 768px) and (max-width: 991px) {
  .site-nav {
    display: none;
  }
}
.menu .menu-item {
  display: block;
  margin: 0;
}
.menu .menu-item a,
.menu .menu-item span.exturl {
  padding: 5px 20px;
  position: relative;
  text-align: left;
  transition-property: background-color;
}
@media (max-width: 991px) {
  .menu .menu-item.menu-item-search {
    display: none;
  }
}
.menu .menu-item .badge {
  background: #ccc;
  border-radius: 10px;
  color: #fff;
  float: right;
  padding: 2px 5px;
  text-shadow: 1px 1px 0 rgba(0,0,0,0.1);
  vertical-align: middle;
}
.main-menu .menu-item-active a::after {
  background: #bbb;
  border-radius: 50%;
  content: ' ';
  height: 6px;
  margin-top: -3px;
  position: absolute;
  right: 15px;
  top: 50%;
  width: 6px;
}
.sub-menu {
  background: var(--content-bg-color);
  border-bottom: 1px solid #ddd;
  margin: 0;
  padding: 6px 0;
}
.sub-menu .menu-item {
  display: inline-block;
}
.sub-menu .menu-item a,
.sub-menu .menu-item span.exturl {
  background: transparent;
  margin: 5px 10px;
  padding: initial;
}
.sub-menu .menu-item a:hover,
.sub-menu .menu-item span.exturl:hover {
  background: transparent;
  color: #fc6423;
}
.sub-menu .menu-item-active a {
  border-bottom-color: #fc6423;
  color: #fc6423;
}
.sub-menu .menu-item-active a:hover {
  border-bottom-color: #fc6423;
}
.sidebar {
  background: var(--body-bg-color);
  box-shadow: none;
  margin-top: 100%;
  position: static;
  width: 240px;
}
@media (max-width: 991px) {
  .sidebar {
    display: none;
  }
}
.sidebar-toggle {
  display: none;
}
.sidebar-inner {
  background: var(--content-bg-color);
  border-radius: initial;
  box-shadow: initial;
  box-sizing: border-box;
  color: var(--text-color);
  width: 240px;
  opacity: 0;
}
.sidebar-inner.affix {
  position: fixed;
  top: 12px;
}
.sidebar-inner.affix-bottom {
  position: absolute;
}
.site-state-item {
  padding: 0 10px;
}
.sidebar-button {
  border-bottom: 1px dotted #ccc;
  border-top: 1px dotted #ccc;
  margin-top: 10px;
  text-align: center;
}
.sidebar-button a {
  border: 0;
  color: #fc6423;
  display: block;
}
.sidebar-button a:hover {
  background: none;
  border: 0;
  color: #e34603;
}
.sidebar-button a:hover .fa,
.sidebar-button a:hover .fab,
.sidebar-button a:hover .far,
.sidebar-button a:hover .fas {
  color: #e34603;
}
.links-of-author {
  display: flex;
  flex-wrap: wrap;
  margin-top: 10px;
  justify-content: center;
}
.links-of-author-item {
  margin: 5px 0 0;
  width: 50%;
}
.links-of-author-item a,
.links-of-author-item span.exturl {
  box-sizing: border-box;
  display: inline-block;
  margin-bottom: 0;
  margin-right: 0;
  max-width: 216px;
  overflow: hidden;
  padding: 0 5px;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.links-of-author-item a,
.links-of-author-item span.exturl {
  border-bottom: none;
  display: block;
  text-decoration: none;
}
.links-of-author-item a::before,
.links-of-author-item span.exturl::before {
  display: none;
}
.links-of-author-item a:hover,
.links-of-author-item span.exturl:hover {
  background: var(--body-bg-color);
  border-radius: 4px;
}
.links-of-author-item .fa,
.links-of-author-item .fab,
.links-of-author-item .far,
.links-of-author-item .fas {
  margin-right: 2px;
}
.links-of-blogroll-item {
  padding: 0;
}
